Distribution:   CCux Linux
Packager:	Christian Wasem <wasem@cux-linux.de>

Name:		scribus 
Version:	1.3.4
Release:	2
License:	GNU/GPL 
URL:		http://www.scribus.org.uk/
Group:		Office
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-1.3.3.2-desktop.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Scribus is a DTP program for Linux.
BuildRequires:  libart_lgpl-devel
BuildRequires:  glibc-devel
BuildRequires:  openssl-devel
BuildRequires:  expat-devel
BuildRequires:  fontconfig-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libstdc++-devel
BuildRequires:	qt-devel
BuildRequires:	cairo-devel
BuildRequires:	libxml2-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	freetype-devel
BuildRequires:	python-devel
BuildRequires:	cups-devel
BuildRequires:	lcms-devel
BuildRequires:	PIL-devel
BuildRequires:  zlib
	
%description
Scribus a DTP program for Linux.
Its goal is to provide an easy-to-use tool for simple Desktop Publishing.
It tries be as professional as possible.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1 

%build
#./configure 	--prefix=%_prefix \
#		--enable-cairo \
#		--enable-scripter2 \
#		--with-qt-dir=/opt/qt-3.3 \
#		--with-qt-includes=/opt/qt-3.3/include \
#		--with-qt-libraries=/opt/qt-3.3/lib

export QTDIR=/opt/qt-3.3
cmake . -DCMAKE_INSTALL_PREFIX:PATH=%_prefix -DWANT_CAIRO=1
make

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_applications
install -m 644 scribus.desktop $RPM_BUILD_ROOT%_applications

%files
%defattr(-,root,root)
%_bindir
%_libdir/scribus/dicts
%_libdir/scribus/keysets
%_libdir/scribus/plugins
%_libdir/scribus/profiles
%_libdir/scribus/swatches
%_libdir/scribus/*.prolog
%_libdir/scribus/*.qm
%_datadir


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jan 26 2008 Christian Metzen <metzench@ccux-linux.de> 1.3.4-2
- rebuild against gcc 4.1.2
* Sat Jun 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.4-1
- Version Update
* Sun May 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.3.9-1
- Version Update
* Thu Feb 28 2007 Christian Wasem <wasem@ccux-linux.de> 1.3.3.8-1
- Version update
* Wed Jan 10 2007 Christian Metzen <metzench@ccux-linux.de> 1.3.3.7-1
- Version update
* Tue May 30 2006 Christian Wasem <wasem@ccux-linux.de> 1.3.3.2-1
- Version Update
* Sun Apr 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.3.3.1-1
- Version Update
* Mon Apr 03 2006 Christian Wasem <wasem@cux-linux.de> 1.3.3-1
- Update to Version 1.3.3
* Sat Feb 04 2006 Christian Wasem <wasem@cux-linux.de> 1.3.2-1
- Update to Version 1.3.2, added cairo support
* Tue Oct 05 2005 Christian Wasem <wasem@cux-linux.de> 1.3.1-1
- Update to Version 1.3.1
* Tue Sep 06 2005 Christian Wasem <wasem@cux-linux.de> 1.3.0-3
- rebuild, added PIL to Requires for more image import/export features
* Tue Aug 30 2005 Christian Wasem <wasem@cux-linux.de> 1.3.0-2
- rebuild for PDF/PS export
- library symlinks are now in the base package of scribus
* Sat Jul 16 2005 Christian Wasem <wasem@cux-linux.de> 1.3.0-1
- update to Version 1.3.0, moved more files to devel
* Wed Jul 06 2005 Christian Wasem <wasem@cux-linux.de> 1.2.2.1-1
- update to Version 1.2.2.1, group changed to Office
* Tue Jul 05 2005 Christian Wasem <wasem@cux-linux.de> 1.2.2-1
- update to Version 1.2.2, edit desktop.patch for new Version
- added cups and lcms as a dependency 
* Wed Jun 29 2005 Christian Wasem <wasem@cux-linux.de> 1.2.1-2
- rebuild for python-2.4.1, cleaning up specfile
- added desktop.patch
* Tue Feb 08 2005 Christian Wasem <wasem@cux-linux.de> 1.2.1-1
- update to version 1.2.1-1
